# List organizations

Get organizations with an optional filter

Endpoint: GET /rest/organizations
Version: 3.0.0-beta102
Security: oauth_client_credentials_token

## Header parameters:

  - `DailyPay-API-Version` (integer)
    The version of the DailyPay API to use for this request. If not provided, the latest version of the API will be used.

## Query parameters:

  - `filter` (string)

## Response 200 fields (application/vnd.api+json):

  - `data` (array, required)

  - `data.type` (string, required)

  - `data.id` (string, required)
    String identifier that is unique to this organization. You can safely assume the identifier to never exceed 64 characters.

  - `data.attributes` (object, required)

  - `data.attributes.name` (string)
    Organization's name
    Example: "DailyPay"

  - `data.attributes.products` (array)
    List of the names of products available for this organization.
    Example: ["ODP","DAILYPAY_CARD"]

  - `data.links` (object, required)

  - `data.links.self` (string, required)

## Response 400 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.code` (string, required)
    A code that indicates what went wrong. Please consider this an open enum, where new codes may be added over time.
    Example: "INVALID_PARAMETERS"

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

## Response 401 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

  - `errors.code` (string, required)
    A code that indicates what went wrong.
    Enum: "INVALID_TOKEN", "UNAUTHORIZED"

## Response 403 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

  - `errors.code` (string, required)
    A code that indicates what went wrong.
    Enum: "FORBIDDEN"

## Response 500 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

  - `errors.code` (string, required)
    A code that indicates what went wrong.
    Enum: "UNEXPECTED_ERROR"


